/**
 * date: 2020-02-11 13:40
 * copyright(c) 2015-2020 百川信
 */
package com.bcxin.models.agreement.dto;

import com.bcxin.models.agreement.entity.AgreementFee;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author: jianjun.wang
 * @description:
 * @data: 2020-02-11 13:40
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class AgreementFeeDto extends AgreementFee {
    private String productName;
    private int line;
    private String idAndType;

    @Override
    public String toString() {
        return "AgreementFeeDto{" +
                "productName='" + productName + '\'' +
                ", remarks='" + remarks + '\'' +
                ", createBy=" + createBy +
                ", createTime=" + createTime +
                ", updateBy=" + updateBy +
                ", updateTime=" + updateTime +
                ", status='" + status + '\'' +
                ", id=" + id +
                ", idAndType=" + idAndType +
                ", line=" + line +
                '}';
    }
}