package com.bcxin.models.agreement.service;

import com.bcxin.models.agreement.dto.AgreementDto;
import com.bcxin.models.agreement.entity.Agreement;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.mybatisplus.service.IService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * 订单管理
 * Created by playboy on 2017/6/7.
 */
public interface AgreementService extends IService<Agreement> {


    /**
     * 分页查询List Page
     */
    Page findPage(Page<Map<String, String>> page, AgreementDto orderForm);

    BigDecimal getFeeOtherRate(Map<String, Object> param);

    List<Agreement> findListByProduct(Map<String, String> map);


    /**
     * 终止协议
     *
     * @param id
     * @return
     */
    boolean terminate(AgreementDto dto);

    /**
     * 续签协议
     */
    boolean renew(AgreementDto dto);
}
