package com.bcxin.models.bill.service;

import com.bcxin.models.bill.dto.BillDto;
import com.bcxin.models.bill.entity.Bill;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.mybatisplus.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 订单管理
 * Created by playboy on 2017/6/7.
 */
public interface BillService extends IService<Bill> {


    /**
     * 分页查询List Page
     */
    Page<Map<String, String>> findPage(Page<Map<String, String>> page, BillDto dto);


    /**
     * 对账页面字段
     * @param dto
     * @return
     */
    BillDto detail(BillDto dto);

    List<Bill> getBillExist(Map<String, Object> map);

}
