package com.bcxin.models.data.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.data.entity.InsArea;
import com.bcxin.spring.annotation.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@MyBatisDao
public interface InsAreaDao extends BasDao<InsArea> {

	/**
	 * <b>根据国家去 InsArea表查询获取到CountryCode </b> 
	 * 
	 * @param country
	 * @return
	 * @author ZXF 
	 * @date 2017年1月19日 上午11:21:33
	 * @注意事项 </b>
	 * <b>
	 */
	public String accordingToCountryGainCountryCode(@Param("country") String country);


	/**
	 * 获取所有国家
	 * @return
	 */
	List<String> getCountryList();
}

