package com.bcxin.models.data.entity;


import com.bcxin.core.base.entity.DataEntity;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;

/**
 * 
 * 快递公司
 * @author 
 *
 */
@TableName("ins_express")
public class InsExpress extends DataEntity<InsExpress> {


	@TableField(exist = false)
	private static final long serialVersionUID = 1L;

	/**
	 * 名称
	 */
	@TableField(value = "express_name")
	private String expressName;

	/**
	 * 物流公司编码
	 */
	@TableField(value = "express_code")
	private String expressCode;

	/**
	 * 快递网址
	 */
	@TableField(value = "express_url")
	private String expressUrl;

	/**
	 * 快递英文缩写
	 */
	@TableField(value = "express_ename")
	private String expressEname;

	/**
	 * 服务电话
	 */
	@TableField(value = "express_phone")
	private String expressPhone;

	public String getExpressName() {
		return expressName;
	}

	public void setExpressName(String expressName) {
		this.expressName = expressName;
	}

	public String getExpressCode() {
		return expressCode;
	}

	public void setExpressCode(String expressCode) {
		this.expressCode = expressCode;
	}

	public String getExpressUrl() {
		return expressUrl;
	}

	public void setExpressUrl(String expressUrl) {
		this.expressUrl = expressUrl;
	}

	public String getExpressEname() {
		return expressEname;
	}

	public void setExpressEname(String expressEname) {
		this.expressEname = expressEname;
	}

	public String getExpressPhone() {
		return expressPhone;
	}

	public void setExpressPhone(String expressPhone) {
		this.expressPhone = expressPhone;
	}
}
