package com.bcxin.models.data.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.models.data.entity.InsArea;
import com.bcxin.models.data.dao.InsAreaDao;
import com.bcxin.models.data.service.InsAreaService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


@Service
@Transactional(readOnly = true)
public class InsAreaServiceImpl extends BaseServiceImpl<InsAreaDao, InsArea> implements InsAreaService {
	
	/**
	 * <b>根据国家去 InsArea表查询获取到CountryCode</b> 
	 * 
	 * @param country
	 * @return
	 * @author ZXF 
	 * @date 2017年1月19日 上午11:19:10
	 * @注意事项 </b>
	 * <b>
	 */
	public String accordingToCountryGainCountryCode(String country){
		return dao.accordingToCountryGainCountryCode(country);
	}
}
