package com.bcxin.models.fee.service.impl;

import com.bcxin.models.fee.dao.FeeSettlementMonthMapper;
import com.bcxin.models.fee.entity.FeeSettlementMonth;
import com.bcxin.models.fee.service.IFeeSettlementMonthService;
import com.bcxin.mybatisplus.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.Map;

/**
 * <p>
 * 月结表 服务实现类
 * </p>
 *
 * @author ctj
 * @since 2017-10-20
 */
@Service
@Transactional
public class FeeSettlementMonthServiceImpl extends ServiceImpl<FeeSettlementMonthMapper, FeeSettlementMonth> implements IFeeSettlementMonthService {

    @Autowired
    FeeSettlementMonthMapper feeSettlementMonthMapper;

    @Override
    public Map<Object, Object> selectByCons(Map<Object, Object> p) {
        return feeSettlementMonthMapper.selectByCons(p);
    }


}
