package com.bcxin.models.order.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.order.dto.OrderCompanyRelationDto;
import com.bcxin.models.order.entity.OrderCompanyRelation;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * Created by playboy on 2017/7/13.
 */
@MyBatisDao
public interface OrderCompanyRelationDao extends BasDao<OrderCompanyRelation>{

    List<OrderCompanyRelation> findList(OrderCompanyRelation orderCompanyRelation);

    List<OrderCompanyRelation> findList(Page<OrderCompanyRelation> page,OrderCompanyRelation orderCompanyRelation);

    List<OrderCompanyRelation> findListUnionSupply(Page<OrderCompanyRelation> page,OrderCompanyRelation orderCompanyRelation);


    List<Map<String,Object>> selectToHxxt(Map<String,Object> params);
    Map<String,Object> findByOrderFormID(@Param("order_form_id") Long order_form_id);


    List<OrderCompanyRelationDto> findByOrderIdList(@Param("order_form_id") Long order_form_id);

}

