package com.bcxin.models.order.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.order.entity.OrderForm;
import com.bcxin.models.order.entity.OrderPayment;
import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;
import java.util.Map;

/**
 * 订单管理
 * Created by playboy on 2017/6/7.
 */
public interface OrderFormService extends BaseService<OrderForm>{

    /**
     * 查询单个实体
     * @param orderForm
     * @return
     */
    Map<String, java.lang.Object> get(OrderForm orderForm);

    /**
     * 查询list集合
     * @param orderForm
     * @return
     */
    List<Map<String, java.lang.Object>> findList(OrderForm orderForm);

    /**
     * 分页查询List Page
     */
    Page<Map<String,Object>> findPage(Page<Map<String,Object>> page, OrderForm orderForm);

    boolean checkData(OrderForm orderForm, StringBuffer msg);

    void saveOrderFormOrPayment(OrderForm orderForm, OrderPayment orderPayment);

    /**
     * 核心系统同步专用
     * @param parmas
     * @return
     */
    List<Map<String,Object>> selectToHxxt(Map<String,Object> parmas);
    List<Map<String, Object>> findExport();
    int insertExportMessage(Long companyID,String realName,String subsidiaryName);
    int selectByRiskActivityIDAndProductID(Long risk_activity_id,Long product_id,Long export_id,String step);

    boolean updataExportOrderFrom( Long risk_activity_id, Long export_id,
                                    Long product_id, String project_name,String step);
}
