package com.bcxin.models.order.web;

import com.bcxin.common.dto.AjaxResult;
import com.bcxin.core.base.web.BaseController;
import com.bcxin.models.order.entity.OrderCompanyRelation;
import com.bcxin.models.order.service.OrderCompanyRelationService;
import com.bcxin.mybatisplus.plugins.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

/**
 * 订单归属
 * Created by playboy on 2017/7/14.
 */
@Controller
@RequestMapping("${systemPath}/orderCompany")
public class OrderCompanyRelationController extends BaseController{

    @Autowired
    private OrderCompanyRelationService orderCompanyRelationService;

    @RequestMapping("/listData")
    @ResponseBody
    public String listData(Model model, OrderCompanyRelation orderCompanyRelation){
        Page<OrderCompanyRelation> page = this.getPage();
//        orderCompanyRelationService.findList(page,orderCompanyRelation);
        orderCompanyRelationService.findListUnionSupply(page,orderCompanyRelation);//增加供应商
        return jsonPage(page);
    }

    @RequestMapping(value = "/affiliation/{web_user_id}/{order_form_id}")
    @ResponseBody
    public AjaxResult set(@PathVariable Long web_user_id, @PathVariable Long order_form_id) {
      return   orderCompanyRelationService.setRelation(web_user_id,order_form_id); }

}
