package com.bcxin.models.order.web;

import com.bcxin.core.base.web.BaseController;
import com.bcxin.core.entity.SysUser;
import com.bcxin.core.util.SysUserUtils;
import com.bcxin.models.platform.ConstantURL;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * <b> 理赔业务控制器 </b>
 * @author ZXF
 * @create 2020/03/13 0013 10:51
 * @version
 * @注意事项 </b>
 */
@Controller
@RequestMapping("${systemPath}/report")
public class OrderReportController extends BaseController {

    private static final String FINDREPORTLIST =  getViewPath(ConstantURL.FINDREPORTLIST);

    /**
     * <b> 理赔列表 </b>
     * @author ZXF
     * @create 2020/03/13 0013 10:50
     * @version
     * @注意事项 </b>
     */
    @RequiresPermissions("report:form:findReportList")
    @RequestMapping("findReportList")
    public String findApplyList(Model model){
        SysUser user = SysUserUtils.getUser();
        String url = FINDREPORTLIST+"sup_admin";
        return redirectTo(url);
    }
}
