package com.bcxin.models.product.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.product.entity.ProductRisk;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;

import java.util.List;

/**
 * 风险产品
 * Created by playboy on 2017/6/1.
 */
@MyBatisDao
public interface ProductRiskDao extends BasDao<ProductRisk>{
    /**
     * 查询单个实体
     * @param ProductRisk
     * @return
     */
    ProductRisk get(ProductRisk ProductRisk);


    /**
     * 查询list集合
     * @param ProductRisk
     * @return
     */
    List<ProductRisk> findList(ProductRisk ProductRisk);

    /**
     * 分页查询List Page
     */
    List<ProductRisk> findList(Page<ProductRisk> page, ProductRisk ProductRisk);
}
