package com.bcxin.models.product.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.product.entity.ProductRisk;
import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;

/**
 * Created by playboy on 2017/6/1.
 */
public interface ProductRiskService extends BaseService<ProductRisk>{


    /**
     * 查询单个实体
     * @param productRisk
     * @return
     */
    ProductRisk get(ProductRisk productRisk);


    /**
     * 查询list集合
     * @param productRisk
     * @return
     */
    List<ProductRisk> findList(ProductRisk productRisk);

    /**
     * 分页查询List Page
     */
    Page<ProductRisk> findPage(Page<ProductRisk> page, ProductRisk productRisk);

    /**
     * 数据验证
     * @param productRisk
     * @return
     */
    String checkData(ProductRisk productRisk);
}
