<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>续签协议</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css"/>
</head>

<body class="gray-bg">
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="#" method="POST">
                        <input type="hidden" id="id" name="id" value="${agreementDto.id}">
                        <%--                        <div class="hr-line-dashed"></div>--%>
                        <div class="form-group" id="data_5">
                            <label class="col-sm-2 control-label">最新协议结束时间：</label>
                            <div class="col-sm-4">
                                <div class="input-daterange input-group">
                                    <input id="endDate" name="endDate" type="text" placeholder="日期"
                                           data-date-format="yyyy-mm-dd"
                                           class="form-control"/>
                                </div>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">协议文件:</label>
                            <div class="col-sm-4">
                                <input id="file-picture" type="file" value="上传协议文件" name="files" multiple="multiple"
                                       placeholder="支持扩展名：.rar .zip .doc .docx .pdf .jpg...">
                                <input id="picture" type="text" name="picture" class="hide"
                                       value="${agreementDto.picture}"/>
                            </div>
                        </div>

                        <div class="form-group">
                            <span class="col-sm-8 text-danger">提交后，立即生效。</span>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <button class="btn btn-primary" type="button" onclick="layer_close()">取消</button>
                                <button class="btn btn-primary" type="button" onclick="agreementRenew()">确定</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <link rel="stylesheet" href="${ctxsta}/common/bootstrap-fileinput-5.0.8/css/fileinput.css" type="text/css"/>
    <script src="${ctxsta}/common/bootstrap-fileinput-5.0.8/js/fileinput.js"></script>
    <script src="${ctxsta}/common/bootstrap-fileinput-5.0.8/js/locales/zh.js"></script>
    <script type="text/javascript">
        var urlHead = "${ctx}";
        var userID;

        $(document).ready(function () {
            initFileInputAllFile('file-picture', 'picture', '${agreementDto.picture}', '${ctx}');
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });

        //去除分页
        function queryParams(params) {
            var limit = params.limit;
            // if(limit>5){
            //     limit=5;
            // }
            return {
                // size: limit,  //页面大小
                // index: params.offset, //页码
                sortName: this.sortName,
                sortOrder: this.sortOrder
            };
        }

        //form转json
        function getFormData($form) {
            var unindexed_array = $form.serializeArray();
            var indexed_array = {};

            $.map(unindexed_array, function (n, i) {
                indexed_array[n['name']] = n['value'];
            });
            return indexed_array;
        }

        /**
         * 关闭窗口的时候要刷新父窗口
         * @param $form
         * @returns {{}}
         */
        function mylayer_close() {
            window.parent.location.reload();
            layer_close();

        }


        /**
         * 终止协议
         */
        function agreementRenew() {
            const saveData = getFormData($("#inputForm"));
            if (saveData.picture == '') {
                layer.msg("协议文件不能为空");
                return;
            }
            ;
            if (saveData.endDate == '') {
                layer.msg("协议终止日期不能为空");
                return;
            }
            ;
            //todo 结束时间要大于现在时间
            //alert(JSON.stringify(saveData));
            console.log(JSON.stringify(saveData));
            $.ajax({
                url: urlHead + "/agreementForm/renew",
                type: "post",
                dataType: "json",
                async: false,
                headers: {'Content-Type': 'application/json;charset=utf8'},
                data: JSON.stringify(saveData),
                success: function (result) {
                    if (result.success == true) {
                        layer.alert(result.message, {
                            icon: 1, yes: function (index) {
                                //关闭当前页并刷新父级列表页
                                mylayer_close();
                            }
                        });
                    } else {
                        layer.msg(result.message);
                    }
                }
            });

        }

    </script>
</bcxinFooter>
</body>
</html>
