<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <title>订单信息</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css" />
</head>

<body class="gray-bg">
<div class="wrapper add-member-content animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox-title">
                <h5>基础信息</h5>
            </div>

            <div class="ibox-content">

                    <div class="form-group">
                        <label class="col-sm-2 control-label">订单号：</label>
                        <div class="col-sm-4 form-control-static">
                             ${feeMap.orderNum}
                        </div>
                        <label class="col-sm-2 control-label">购买时间：</label>
                        <div class="col-sm-4 form-control-static">
                            ${feeMap.payDate}

                        </div>
                    </div>
                    <div class="hr-line-dashed"></div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">产品名称：</label>
                        <div class="col-sm-4 form-control-static">
                            <c:if test="${not empty feeMap.productName1 && not empty feeMap.type1 }">
                                 ${feeMap.productName1}
                            </c:if>
                            <c:if test="${not empty feeMap.productName2 && not empty feeMap.type2 }">
                                ${feeMap.productName2}
                            </c:if>
                            <c:if test="${not empty feeMap.productName3 && not empty feeMap.type3 }">
                                ${feeMap.productName3}
                            </c:if>


                        </div>
                        <label class="col-sm-2 control-label">产品分类：</label>
                        <div class="col-sm-4 form-control-static">
                            <c:if test="${not empty feeMap.productName1 && not empty feeMap.type1 }">
                                ${feeMap.type1}
                            </c:if>
                            <c:if test="${not empty feeMap.productName2 && not empty feeMap.type2 }">
                                ${feeMap.type2}
                            </c:if>
                            <c:if test="${not empty feeMap.productName3 && not empty feeMap.type3 }">
                                ${feeMap.type3}
                            </c:if>
                        </div>
                    </div>
                    <div class="hr-line-dashed"></div>
                    <div class="form-group">
                        <label class="col-sm-2 control-label">是否分期：</label>
                        <div class="col-sm-4 form-control-static">
                            ${feeMap.fenqi}

                        </div>
                        <label class="col-sm-2 control-label">支付情况：</label>
                        <div class="col-sm-4 form-control-static">
                            ${feeMap.payType}
                        </div>
                    </div>


            </div>
            <div class="ibox-title">
                <h5>分销信息</h5>
            </div>
            <div class="ibox-content">
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label class="col-sm-4 control-label">可得佣金：</label>
                    <div class="col-sm-8 form-control-static">
                        ${fee.actualBrokerage}
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label class="col-sm-4 control-label">扣税：</label>
                    <div class="col-sm-8 form-control-static">
                        ${fee.taxMoney}
                    </div>
                </div>

                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label class="col-sm-4 control-label">代扣成本：</label>
                    <div class="col-sm-8 form-control-static">
                        ${fee.withholdingCosts}
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label class="col-sm-4 control-label">平台管理费：</label>
                    <div class="col-sm-8 form-control-static">
                        ${fee.platformManagementFee}
                    </div>
                </div>

                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label class="col-sm-4 control-label">实得佣金：</label>
                    <div class="col-sm-8 form-control-static">
                        ${fee.actualBrokerage}
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label class="col-sm-4 control-label">已结算佣金：</label>
                    <div class="col-sm-8">
                        ${fee.settledCommission}
                    </div>
                </div>

                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <label class="col-sm-4 control-label">佣金派发情况：</label>
                    <div class="col-sm-8">
                        未派发
                    </div>
                </div>

            </div>

        </div>
    </div>
</div>
</div>
<bcxinFooter>

</bcxinFooter>
</body>
</html>
