<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>分销商账单</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">

            <div class="float-e-margins">
                <div class="ibox-content search-query">
                    <form action="${ctxapi}/api/bill/getDistributorListData?sysCompanyId=${company.id}&sysType=2" method="post" id="searchForm">
                        <div class="col-sm-6">
                            <div class="form-group" id="data_5">
                                <label class="control-label">购买日期</label>
                                <div class="input-daterange input-group">
                                    <input type="text" class="form-control"  id="beginCreateTime" name="sDate"  placeholder="请选择日期..."/>
                                    <span class="input-group-addon">到</span>
                                    <input type="text" class="form-control"  id="endCreateTime" name="eDate"  placeholder="请选择日期..."/>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-3">
                            <div class="form-group">
                                <label class="control-label">关键字</label>
                                <div class="input-group-btn">
                                    <input type="text" class="form-control" id="likeValue" name="likeValue" placeholder="产品名称/订单编号">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <div class="input-group">
                                   <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefreshNew()">搜索</button>
                                        <button type="button" class="btn btn-primary" onclick="resetTable()">重置</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="col-sm-12">
        <label> 总订单数： <span id="totalNum">0</span>  单|  总佣金：<span id="totalMoney">0.00</span> 元 </label>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-content">
                    <div class="row row-lg">
                        <div class="col-sm-12">
                            <div class="example-wrap">
                                <div class="example">
                                    <table id="table"
                                    <%--data-show-refresh="true"--%>
                                    <%-- data-search="true"--%>
                                           data-toggle="table"
                                           data-show-toggle="true"
                                           data-show-export="true"
                                           data-show-columns="true"
                                           data-striped="true"
                                           data-pagination="true"
                                           data-sort-name=" "
                                           data-url="${ctxapi}/api/bill/getDistributorListData?sysCompanyId=${company.id}&sysType=2"
                                           data-query-params="queryParams"
                                           data-side-pagination="server"
                                           data-field="records"
                                           data-page-list="[10, 25, 50, 100, ALL]"
                                           data-sort-order="desc"
                                           data-cache="false"
                                           data-toolbar="#toolbar">
                                        <thead>
                                        <tr>
                                            <th data-halign="center" data-align="center"  data-field="odate">购买日期</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="orderNo">订单号</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="productName">产品</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="fcy" data-formatter="toDecimal2">订单金额</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="actualBrokerage" data-formatter="toDecimal2">可得佣金</th>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="taxMoney" >扣除税金</th>--%>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="withholdingCosts" >代扣成本</th>--%>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="platformManagementFee" >平台管理费</th>--%>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="actualBrokerage" >实得佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="settledCommission" >已结算佣金</th>--%>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="commissionPaid" >已发放佣金</th>--%>
                                            <th data-halign="center" data-align="center" data-sortable="false"    data-formatter="setStatusClass">操作</th>

                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id = "view" class="hidden">
    <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="member_show('查询明细','${ctxapi}/api/bill/getDetatilList/viewId','','','900',null)" title="查询明细">
        <i class="glyphicon glyphicon-zoom-in"></i>
    </a>
</div>
<bcxinFooter>
    <script type="text/javascript">

        function resetTable(){//重置，页码清零
            $("#searchForm input").val("");
            $("#searchForm select").val("");
            doRefreshNew();
            return false;
        }
        function doRefreshNew() {
            setTongji();
            doRefresh();
        }
        function sumbit() {
            $("#table").bootstrapTable('refresh', {
                url: $("#searchForm").attr("action"),
                query: $("#searchForm").serializeObject()
            });

        }
        function  setStatusClass(value, row, index){
            var v =$("#view").html().replace("viewId",row.id);
            return v;
        }
        function  setTongji(){
            var  beginCreateTime=$("#beginCreateTime").val();
            var  endCreateTime =$("#endCreateTime").val();
            var  likeValue=$("#likeValue").val();
            $.ajax({
                dataType:'json',
                url:'${ctxapi}/api/bill/getOrderNum?companyId=${company.id}',
                data: {"sDate":beginCreateTime,"eDate":endCreateTime,"likeValue":likeValue},
                success:function(result){
                    $("#totalNum").html(result.totalNum);
                    $("#totalMoney").html(result.totalMoney);
                }
            })
        }
        $(document).ready(function(){
            setTongji();

        });

    </script>
</bcxinFooter>
</body>
</html>
