<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>供应商账单</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="float-e-margins">
                <div class="ibox-content search-query">
                    <form action="${ctx}/fee/getDetatilListData?sysCompanyId=${company.id}&sysType=1" method="post" id="searchForm">
                        <div class="col-sm-6">
                            <div class="form-group" id="data_5">
                                <label class="control-label">购买日期</label>
                                <div class="input-daterange input-group">
                                    <input type="text" class="form-control"  id="beginCreateTime" name="sDate"  placeholder="请选择日期..."/>
                                    <span class="input-group-addon">到</span>
                                    <input type="text" class="form-control"  id="endCreateTime" name="eDate"  placeholder="请选择日期..."/>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label class="control-label">关键字</label>
                                <div class="input-group-btn">
                                    <input type="text" class="form-control" name="likeValue" placeholder="产品名称/订单编号">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <div class="input-group">
                                   <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                                        <button type="button" class="btn btn-primary" onclick="resetTable()">重置</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-content">
                    <div class="row row-lg">
                        <div class="col-sm-12">
                            <div class="example-wrap">
                                <div class="example">
                                    <table id="table"
                                           data-toggle="table"
                                           data-show-toggle="true"
                                           data-show-export="true"
                                           data-show-columns="true"
                                           data-striped="true"
                                           data-pagination="true"
                                           data-sort-name=" "
                                           data-url="${ctx}/fee/getDetatilListData?sysCompanyId=${company.id}&sysType=1"
                                           data-query-params="queryParams"
                                           data-side-pagination="server"
                                           data-field="records"
                                           data-sort-order="desc"
                                           data-cache="false"
                                           data-toolbar="#toolbar">
                                        <thead>
                                        <tr>
                                            <th data-halign="center" data-align="center" data-field="odate">购买日期</th>
                                            <th data-halign="center" data-align="center" data-field="productName">产品</th>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="orderNo">订单号</th>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="cnt">采购数量</th>--%>
                                           <%-- <th data-halign="center" data-align="center" data-sortable="true" data-field="fcy">外报价</th>--%>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="settledCommission">结算价</th>--%>
                                            <th data-halign="center" data-align="center" data-sortable="false" data-field="actualBrokerage" data-formatter="toDecimal2">佣金</th>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="" >是否结算</th>--%>
                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script type="text/javascript">
        function sumbit() {
            $("#table").bootstrapTable('refresh', {
                url: $("#searchForm").attr("action"),
                query: $("#searchForm").serializeObject()
            });
        }
    </script>
</bcxinFooter>
</body>
</html>
