<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <title>风评产品添加</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css" />
    <style>
        .clearfix:after {content:"\200B"; display:block; height:0; clear:both; }
        .clearfix { *zoom:1;}
        .modal-backdrop{
            display: none;
        }
        .wed select{
            margin-top: 10px;
            float: left;
            width: 75% !important;
        }
        .wed button{
            float: left;
            margin-left: 5px;
            margin-top: 15px;
        }
    </style>
</head>

<body class="gray-bg">
<div class="wrapper add-member-content animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
                <div class="ibox-title">
                    <h5><c:if test="${empty productRisk}">添加风评产品</c:if><c:if test="${!empty productRisk}">修改</c:if></h5>
                </div>
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="${ctx}/productRisk/edit" method="POST">
                        <c:if test="${!empty productRisk}">
                            <input type="hidden"  name="id" value="${productRisk.id}">
                        </c:if>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">产品主图:</label>
                            <div class="col-sm-4">
                                <input id="file-picture" type="file" class="file-loading" name="file" >
                                <input id="picture" type="text" name = "picture" class="hide" value="${productRisk.picture}"/>
                            </div>
                        </div>
                        <input  type="text" name = "status" class="hide" value="${productRisk.status}"/>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">产品大类：</label>
                            <div class="col-sm-4">
                                <select name="productType" class="form-control" >
                                    <option value="7">风评产品</option>
                                </select>
                            </div>
                            <label class="col-sm-2 control-label">产品名称：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="name" value="${productRisk.name}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">产品分类：</label>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType1" >
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType2">
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType3">
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType4">
                                </select>
                            </div>
                            <div class="col-sm-2">
                                <select  class="form-control col-md-2" id="responsibilityType5">
                                </select>
                            </div>
                            <input name="responsibilityType.id" type="hidden" id="responsibilityType" value="${productRisk.responsibilityType.id}">
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">风评公司：</label>
                            <div class="col-sm-6" id="supply_html">

                                <c:if test="${empty cList}">
                                    <div class="wed clearfix">
                                        <select  name="supplier_ids"  id ="supplier_id"  class="form-control">
                                        </select>
                                        <button  type="button" onclick="addMethod()">增加</button>
                                    </div>
                                </c:if>

                                <c:if test="${not empty cList}">
                                    <c:forEach items="${cList}" var="item">
                                        <div class="wed clearfix">
                                            <select  name="supplier_ids"    class="form-control">
                                                <option value="">请选择</option>
                                                <c:forEach items="${companyList}" var="company">
                                                    <option value="${company.id}" <c:if test="${company.id eq item}">selected</c:if>>${company.companyName}</option>
                                                </c:forEach>
                                            </select>
                                            <button  type="button" onclick="addMethod()">增加</button>
                                            <button type="button" onclick="minusMethod(this)" >减少</button>
                                        </div>
                                    </c:forEach>

                                </c:if>

                            </div>


                        </div>

                        <div class="form-group">
                            <label class="col-sm-2 control-label">场馆名称：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="venueName" value="${productRisk.venueName}">
                            </div>
                            <label class="col-sm-2 control-label">周边停车场：</label>
                            <div class="col-sm-4">
                                <select name="peripheralParking" class="form-control" >
                                <c:forEach items="${fns:getDictList('is_yes')}" var="type">
                                    <option value="${type.value}" <c:if test="${productRisk.peripheralParking eq type.value}">selected</c:if>>${type.label}</option>
                                </c:forEach>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">容纳人数：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="accommodatingNumber"  value="${productRisk.accommodatingNumber}">
                            </div>
                            <label class="col-sm-2 control-label">排序：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control input-sm" name="sort" value="${productRisk.sort}" maxlength="2" onkeyup="value=value.replace(/[^\d]/g,'') " ng-pattern="/[^a-zA-Z]/">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">地区:</label>
                            <div class="col-sm-3">
                                <select class="form-control" name="province" id="province" value="${productRisk.province}">
                                    <option value="">请选择省</option>
                                </select>
                            </div>
                            <div class="col-sm-3">
                                <select class="form-control" name="city" id="city" value="${productRisk.city}">
                                    <option value="">请选择市</option>
                                </select>
                            </div>
                            <div class="col-sm-3">
                                <select class="form-control" name="district" id="district" value="${productRisk.district}">
                                    <option value="">请选择县/区</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">详细地址：</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" name="address" value="${productRisk.address}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">产品简述：</label>
                            <div class="col-sm-10">
                                <textarea id="editor1" class="summernote" name="intro">${productRisk.intro}</textarea>
                            </div>
                        </div>

                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <input type="hidden" class="form-control" name="id" value="${productRisk.id}">
                                <c:if test="${!empty modify}">
                                     <button class="btn btn-primary" type="button"  onclick="toAjaxSubmit(this)">提交</button>
                                </c:if>
                                <button class="btn btn-primary" type="button"  onclick="layer_close()">关闭</button>
                            </div>
                        </div>
                    </form>
                </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <link rel="stylesheet" href="${ctxsta}/common/bootstrap-fileinput-master/css/fileinput.css" type="text/css" />
    <script src="${ctxsta}/common/bootstrap-fileinput-master/js/fileinput.js"></script>
    <script src="${ctxsta}/common/bootstrap-fileinput-master/js/fileinput_locale_zh.js"></script>

    <link href="${ctxsta}/common/summernote/css/summernote.css" rel="stylesheet">
    <link href="${ctxsta}/common/summernote/css/summernote-bs3.css" rel="stylesheet">
    <script src="${ctxsta}/common/summernote/summernote.min.js"></script>
    <script src="${ctxsta}/common/summernote/summernote-zh-CN.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            //初始化图片上传组件
            initFileInput('file-picture','picture','${productRisk.picture}','${imgSta}');
            initTextarea();
            initSupplierId();
            init();
            initResponsibilityType();
        });
        /**
         * 初始化富文本编辑器
         * */
        function initTextarea() {
            $('.summernote').each(function() {
                $(this).summernote({height:200, lang:'zh-CN'});
            })
        }
        var  supplier_data="";
        /**
         * 供应商下拉列表初始化
         */
        function initSupplierId(){
            $.ajax({
                type: 'POST',
                url: "${ctx}/syscompany/getSysCompanyJson?type=1&enterpriseType=7",
                dataType: 'json',
                success: function (data) {
                    var obj = document.getElementById('supplier_id');
                    supplier_data=data;
                    for (var o in data) {
                        obj.options.add(new Option(data[o].companyName, data[o].id));
                    }


                }
            });


            var  clist='${cList}';
            if(isNotNull(clist))
            {
//                var obj = $('#supply_html');
//                var str = '';
//                str += '<div class="wed clearfix">';
//                str += '<select  name="supplier_ids"  class="form-control">';
//                str += '<option value="">请选择</option>';
//                for (var o in supplier_data) {
//                    str += '<option value='+supplier_data[o].id+'>'+supplier_data[o].companyName+'</option>';
//                }
//                str += '</select>';
//                str += '<button  type="button" onclick="addMethod()">增加</button>';
//                str += '<button type="button" onclick="minusMethod(this)" >减少</button>';
//                str += '</div>';
//                obj.append(str);
            }


        }

        function init(){
            //初始化省级下拉
            $.ajax({
                type: 'POST',
                url: "${ctx}/sysregion/province",
                dataType: 'json',
                success: function (data) {
                    var obj = document.getElementById('province');
                    for (var o in data) {
                        obj.options.add(new Option(data[o].province, data[o].id));
                    }
                    var province = '${productRisk.province}';
                    if(isNotNull(province)){
                        $("#province option[value="+province+"]").attr("selected", true).trigger("change");
                    }
                },
                error: function (xhr) {
                    layer.msg('error');
                }
            });
            $("#province").on("change",function (objdata) {
                console.log("被选中的值"+this.options[this.selectedIndex].value); //得到被选中的值
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/sysregion/province/" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('city');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择市", ""));
                        for (var o in data) {
                            obj.options.add(new Option(data[o].citytype, data[o].id)); //这个兼容IE与firefox
                        }
                        var city =  '${productRisk.city}';
                        if(isNotNull(city)){
                            $("#city option[value="+city+"]").attr("selected", true).trigger("change");
                        }
                        var obj = document.getElementById('district');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择县/区", "")); //这个兼容IE与firefox
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
            });
            $("#city").on("change",function () {
                console.log(this.options[this.selectedIndex].value); //得到被选中的值
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/sysregion/province/" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('district');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择县/区", ""));
                        for (var o in data) {
                            obj.options.add(new Option(data[o].city, data[o].id)); //这个兼容IE与firefox
                        }
                        var district =  '${productRisk.district}';
                        if(isNotNull(district)){
                            $("#district option[value="+district+"]").attr("selected", true);
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
            });
        };

        function addMethod() {
            var obj = $('#supply_html');
            var str = '';
            str += '<div class="wed clearfix">';
            str += '<select  name="supplier_ids"  class="form-control">';
            str += '<option value="">请选择</option>';
            for (var o in supplier_data) {
                str += '<option value='+supplier_data[o].id+'>'+supplier_data[o].companyName+'</option>';
            }
            str += '</select>';
            str += '<button  type="button" onclick="addMethod()">增加</button>';
            str += '<button type="button" onclick="minusMethod(this)" >减少</button>';
            str += '</div>';
            obj.append(str);
        }

        function minusMethod(obj) {
            var s = $('#supply_html').find('.wed').length;
            if(s > 1){
                $(obj).parents('div.wed').remove();
            }

        }


        /**
         * 产品分类
         */
        function initResponsibilityType() {
            $.ajax({
                type: 'POST',
                url: "${ctx}/productType/getProductTypeJson?type=7&leve=1",
                dataType: 'json',
                success: function (data) {
                    var obj = document.getElementById('responsibilityType1');
                    obj.options.length = 0;
                    obj.options.add(new Option("请选择", "")); //这个兼容IE与firefox
                    for (var o in data) {
                        obj.options.add(new Option(data[o].typeName, data[o].id));
                    }
                    var responsibilityType1 = '${responsibilityType1}';
                    if(isNotNull(responsibilityType1))
                    {
                        $("#responsibilityType1 option[value="+responsibilityType1+"]").attr("selected", true).trigger("change");
                    }
                    $("#responsibilityType2").hide();
                    $("#responsibilityType3").hide();
                    $("#responsibilityType4").hide();
                    $("#responsibilityType5").hide();
                },
                error: function (xhr) {
                    layer.msg('保险责任分类初始化失败');
                }
            });

            $("#responsibilityType1").on("change",function (objdata) {
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?type=7&leve=2&id=" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType2');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", "")); //这个兼容IE与firefox
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id)); //这个兼容IE与firefox
                        }
                        if(data.length>0){
                            $("#responsibilityType2").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType2").hide();
                        }
                        $("#responsibilityType3").hide();
                        $("#responsibilityType4").hide();
                        $("#responsibilityType5").hide();
                        var responsibilityType2 =  '${responsibilityType2}';
                        if(isNotNull(responsibilityType2))
                        {
                            $("#responsibilityType2 option[value="+responsibilityType2+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
            $("#responsibilityType2").on("change",function (objdata) {
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?type=7&leve=3&id=" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType3');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", "")); //这个兼容IE与firefox
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id)); //这个兼容IE与firefox
                        }
                        if(data.length>0){
                            $("#responsibilityType3").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType3").hide();
                        }
                        $("#responsibilityType4").hide();
                        $("#responsibilityType5").hide();
                        var responsibilityType3 =  '${responsibilityType3}';
                        if(isNotNull(responsibilityType3))
                        {
                            $("#responsibilityType3 option[value="+responsibilityType3+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
            $("#responsibilityType3").on("change",function (objdata) {
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?type=7&leve=4&id=" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType4');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", "")); //这个兼容IE与firefox
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id)); //这个兼容IE与firefox
                        }
                        if(data.length>0){
                            $("#responsibilityType4").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType4").hide();
                        }
                        $("#responsibilityType5").hide();
                        var responsibilityType4 =  '${responsibilityType4}';
                        if(isNotNull(responsibilityType4))
                        {
                            $("#responsibilityType4 option[value="+responsibilityType4+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
            $("#responsibilityType4").on("change",function (objdata) {
                $.ajax({
                    type: 'POST',
                    url: "${ctx}/productType/getProductTypeJson?type=7&leve=5&id=" + this.options[this.selectedIndex].value,
                    dataType: 'json',
                    success: function (data) {
                        var obj = document.getElementById('responsibilityType5');
                        obj.options.length = 0;
                        obj.options.add(new Option("请选择", "")); //这个兼容IE与firefox
                        for (var o in data) {
                            obj.options.add(new Option(data[o].typeName, data[o].id)); //这个兼容IE与firefox
                        }
                        if(data.length>0){
                            $("#responsibilityType5").show();
                            $('#responsibilityType').val("");
                        }else {
                            $("#responsibilityType5").hide();
                        }
                        var responsibilityType5 =  '${responsibilityType5}';
                        if(isNotNull(responsibilityType5))
                        {
                            $("#responsibilityType5 option[value="+responsibilityType5+"]").attr("selected", true).trigger("change");
                        }
                    },
                    error: function (xhr) {
                        layer.msg('error');
                    }
                });
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
            $("#responsibilityType5").on("change",function (objdata) {
                $('#responsibilityType').val(this.options[this.selectedIndex].value);
            });
        }
    </script>
</bcxinFooter>
</body>
</html>
