<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8"%>
<%@ include file="/WEB-INF/include/taglib.jsp"%>
<!DOCTYPE HTML>
<html>
<head>
    <title>系统</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css" />
</head>

<body class="gray-bg">
<div class="wrapper add-member-content animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5><c:if test="${empty productType}">添加</c:if><c:if test="${!empty productType}">修改</c:if></h5>
                    <div class="ibox-tools">
                        <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                        <a class="close-link"><i class="fa fa-times"></i></a>
                    </div>
                </div>
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="${ctx}/productType/edit" method="POST">
                        <c:if test="${!empty productType}">
                            <input type="hidden"  name="id" value="${productType.id}">
                        </c:if>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">类型：</label>
                            <div class="col-sm-4">
                                <select name="type" class="form-control" id="type" onchange="hideOrShorw()">
                                    <c:forEach items="${fns:getDictList('product_type')}" var="pay">
                                        <option value="${pay.value}"<c:if test="${productType.type eq pay.value}">selected</c:if> >${pay.label}</option>
                                    </c:forEach>
                                </select>
                            </div>
                            <label class="col-sm-2 control-label">名称：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="typeName" value="${productType.typeName}">
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">等级：</label>
                            <div class="col-sm-4">
                                <input type="text" maxlength="60" class="form-control" name="typeLevel"
                                       <c:if test="${modify eq 'add'}">value="1"</c:if>
                                       <c:if test="${empty modify ||modify eq 'modify'}">value="${productType.typeLevel}"</c:if>
                                       <c:if test="${!empty productType.typeLevel && modify eq 'next'}">value="${productType.typeLevel+1}"</c:if>
                                       readonly="readonly" >
                            </div>
                            <label class="col-sm-2 control-label">上级类别：</label>
                            <div class="col-sm-4">
                                <%--<input type="text" class="form-control" name="parent.id" value="${productType.parent.typeName}">--%>
                                <select name="parent.id" class="form-control" id = "parentId" >
                                    <c:if test="${!empty productType.parent}">
                                     <option value='${productType.parent.id}'>${productType.parent.typeName}</option>
                                    </c:if>
                                    <c:if test="${empty productType.parent}">
                                        <option value='0'>无</option>
                                    </c:if>
                                </select>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">排序：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" name="sort" value="${productType.sort}">
                            </div>
                            <div id="insType">
                            <label class="col-sm-2 control-label">属性分类：</label>
                            <div class="col-sm-4">
                                <select name="insType" class="form-control" >
                                    <option value="1" <c:if test="${productType.insType eq 1}">selected</c:if>>保险责任分类</option>
                                    <option value="2" <c:if test="${productType.insType eq 2}">selected</c:if>>市场属性分类</option>
                                </select>
                            </div>
                            </div>
                        </div>
                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <input type="hidden" class="form-control" name="id" value="${productType.id}">
                                <c:if test="${!empty modify}">
                                     <button class="btn btn-primary" type="button"  onclick="toAjaxSubmit(this)">提交</button>
                                </c:if>
                                <button class="btn btn-primary" type="button"  onclick="layer_close()">关闭</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function() {
            hideOrShorw();
        });

        /**
         * 显示隐藏
         */
        function hideOrShorw() {
            var v = $('#type').val();
            if(v=='6'){
                $('#insType').show();
                $('#insType').find('select').attr("disabled",false);
            }else {
                $('#insType').hide();
                $('#insType').find('select').attr("disabled",true);
            }
        }
    </script>
</bcxinFooter>
</body>
</html>
