package com.bcxin.models.agreement;

import com.bcxin.core.base.entity.BaseEntity;
import com.bcxin.models.agreement.controller.valid.AgreementFeeSaveGroup;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import org.hibernate.validator.constraints.NotBlank;

import java.util.Date;

/**
 * 数据Entity类
 * @author ThinkGem
 * @version 2014-05-16
 */
@Data
//@ToString(callSuper = true)
public class SimpleEntity<T> extends BaseEntity<T> {

//	@NotBlank(message = "备注不能为空",groups = {AgreementFeeSaveGroup.class})
	protected String remarks;	// 备注

	@JsonSerialize(using= ToStringSerializer.class)
	protected Long createBy;	// 创建者

	protected Date createTime;	// 创建日期

	@JsonSerialize(using= ToStringSerializer.class)
	protected Long updateBy;	// 更新者

	protected Date updateTime;	// 更新日期

	@NotBlank(message = "状态不能为空",groups = {AgreementFeeSaveGroup.class})
	protected String status; 	// 状态：
	/**
	 * 删除标记
	 */
	protected String delFlag;
}
