package com.bcxin.models.agreement.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.agreement.dto.AgreementDto;
import com.bcxin.models.agreement.entity.Agreement;
import com.bcxin.models.agreement.entity.AgreementExample;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@MyBatisDao
public interface AgreementDao extends BasDao<Agreement> {
    long countByExample(AgreementExample example);

    int deleteByExample(AgreementExample example);

    int deleteByPrimaryKey(String id);

//    int insert(Agreement record);

    int insertSelective(Agreement record);

    List<Agreement> selectByExample(AgreementExample example);

    Agreement selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") Agreement record, @Param("example") AgreementExample example);

    int updateByExample(@Param("record") Agreement record, @Param("example") AgreementExample example);

    int updateByPrimaryKeySelective(Agreement record);

    int updateByPrimaryKey(Agreement record);

    /**
     * 协议列表
     * @param agreementDto
     * @return
     */
    List<AgreementDto> page(Page page, AgreementDto agreementDto);


    List<Agreement> findListByProduct(Map<String, String> map);

}