package com.bcxin.models.agreement.entity;

import com.bcxin.models.agreement.SimpleEntity;
import com.bcxin.mybatisplus.annotations.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * product_relation_feerate
 *
 * @author
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("product_relation_feerate")
public class ProductRelationFeerate extends SimpleEntity<ProductRelationFeerate> {
    /**
     * 废弃，采用联合主键
     */
//    private Long id;

    /**
     * 价税范围，分3种：0-不限制，1-0-10000,2-10000以上
     */
    private BigDecimal taxScopeStart;

    /**
     * 价税范围止：0-不限制
     */
    private BigDecimal taxScopeEnd;

    /**
     * 佣金比例或者固定金额
     */
    private BigDecimal fee;

    /**
     * 产品-机构关联ID
     */
    private Long productRelationId;

    /**
     * 协议费率ID
     */
    private Long agreementFeeId;
//    private Date createTime;
//
//    private Date updateTime;
//
//    /**
//     * 更新者
//     */
//    private Long updateBy;
//
//    /**
//     * 备注信息
//     */
//    private String remarks;
//
//    /**
//     * 删除标记
//     */
//    private String delFlag;
//
//    /**
//     * 协议状态
//     */
//    private String status;

}