package com.bcxin.models.bill.service.impl;

import com.bcxin.core.base.service.impl.BaseServiceImpl;
import com.bcxin.models.bill.dao.NewBillDao;
import com.bcxin.models.bill.dto.BillDto;
import com.bcxin.models.bill.entity.Bill;
import com.bcxin.models.bill.service.BillService;
import com.bcxin.mybatisplus.plugins.Page;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * 账单管理
 * Created by playboy on 2017/6/7.
 */
@Service
public class BillServiceImpl extends BaseServiceImpl<NewBillDao, Bill> implements BillService {
    @Autowired
    private NewBillDao billDao;

    @Override
    public Page findPage(Page page, BillDto dto) {
//        this.dataScopeFilter(orderForm,"b.supplier_id");
//        BillDto dto=new BillDto();
//        PageHelper.startPage(0,10);
        page.setRecords(billDao.page(page,dto));
        return page;
    }

    //对账页面字段
    @Override
    public BillDto detail(BillDto dto) {
        BillDto result=billDao.detail(dto);
        return result;
    }

    @Override
    public List<Bill> getBillExist(Map<String, Object> map) {
        return dao.getBillExist(map);
    }

}
