package com.bcxin.models.data.entity;

import com.bcxin.core.base.entity.BaseEntity;
import com.bcxin.mybatisplus.annotations.TableField;
import com.bcxin.mybatisplus.annotations.TableName;

import java.io.Serializable;



/**
 * <b>地区</b>
 * 
 * @author liyongqiang
 * @date 2016年12月28日 下午3:34:20
 * @注意事项 </b>
 * <b>
 */
@TableName("ins_area")
public class InsArea extends BaseEntity<InsArea> implements Serializable {

	@TableField(exist = false)
	private static final long serialVersionUID = 1L;

	
	/**  两字母代码*/
	@TableField(value = "country_code")
	private String countryCode;

	/**  三字母代码*/
	@TableField(value = "country_code_three")
	private String countryCodeThree;
	
	/**  国家/地区中文名*/
	@TableField(value = "country_china")
	private String countryChina;
	
	/**  国家/地区英文名*/
	@TableField(value = "country_english")
	private String countryEnglish;
	
	/**  num_code*/
	@TableField(value = "num_code")
	private String numCode;

	public String getCountryCode() {
		return countryCode;
	}

	public void setCountryCode(String countryCode) {
		this.countryCode = countryCode;
	}

	public String getCountryCodeThree() {
		return countryCodeThree;
	}

	public void setCountryCodeThree(String countryCodeThree) {
		this.countryCodeThree = countryCodeThree;
	}

	public String getCountryChina() {
		return countryChina;
	}

	public void setCountryChina(String countryChina) {
		this.countryChina = countryChina;
	}

	public String getCountryEnglish() {
		return countryEnglish;
	}

	public void setCountryEnglish(String countryEnglish) {
		this.countryEnglish = countryEnglish;
	}

	public String getNumCode() {
		return numCode;
	}

	public void setNumCode(String numCode) {
		this.numCode = numCode;
	}

	@Override
	public String toString() {
		return "IniArea [countryCode=" + countryCode + ", countryCodeThree=" + countryCodeThree + ", countryChina="
				+ countryChina + ", countryEnglish=" + countryEnglish + ", numCode=" + numCode + "]";
	}
	
	

}
