package com.bcxin.models.order.service;

import com.bcxin.common.dto.AjaxResult;
import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.order.dto.OrderCompanyRelationDto;
import com.bcxin.models.order.entity.OrderCompanyRelation;
import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;
import java.util.Map;

/**
 * Created by playboy on 2017/7/13.
 */
public interface OrderCompanyRelationService extends BaseService<OrderCompanyRelation>{

    List<OrderCompanyRelation> findList(OrderCompanyRelation orderCompanyRelation);

    Page<OrderCompanyRelation> findList(Page<OrderCompanyRelation> page,OrderCompanyRelation orderCompanyRelation);

    Page<OrderCompanyRelation> findListUnionSupply(Page<OrderCompanyRelation> page, OrderCompanyRelation orderCompanyRelation);

    List<Map<String,Object>> selectToHxxt(Map<String,Object> params);

    Map<String,Object> findByOrderFormID(Long order_form_id);
    AjaxResult setRelation(Long web_user_id,Long order_form_id);

    List<OrderCompanyRelationDto> findByOrderIdList(Long order_form_id);

    void saveExpertOrder(Map<String,Object> map);
}
