package com.bcxin.models.order.web;

import com.bcxin.core.base.web.BaseController;
import com.bcxin.core.entity.SysUser;
import com.bcxin.core.util.SysUserUtils;
import com.bcxin.models.platform.ConstantURL;
import org.apache.shiro.authz.annotation.RequiresPermissions;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 *@Author:liyongqiang
 *@Description:保全申请单页面
 *@Date: 2017-08-28 10:58
 */
@Controller
@RequestMapping("${systemPath}/preservation")
public class OrderPreservationController extends BaseController {



    private static final String APPLYLIST =  getViewPath(ConstantURL.APPLYLIST);
    private static final String FINDPAYLIST =  getViewPath(ConstantURL.FINDPAYLIST);
    private static final String FINDSETTLEMENTPAYLIST =  getViewPath(ConstantURL.FINDSETTLEMENTPAYLIST);




//保全申请

    @RequiresPermissions("preservation:form:findApplyList")
    @RequestMapping("findApplyList")
    public String findApplyList(Model model){
        SysUser user = SysUserUtils.getUser();//        if(user.getSysCompany()!=null&&user.getSysCompany().getCompanyType()!=null){
//        if(user.getro)
        String url = APPLYLIST+"sup_admin";
        return redirectTo(url);

    }


    //    api/myApply/findApplyList///保全缴费
//    /api/myApply/findApplyList/sup_admin

    @RequiresPermissions("preservation:form:findPayList")
    @RequestMapping("findPayList")
    public String findPayList(Model model){
        SysUser user = SysUserUtils.getUser();//        if(user.getSysCompany()!=null&&user.getSysCompany().getCompanyType()!=null){
        String url = FINDPAYLIST+"sup_admin";
        return redirectTo(url);

    }

    @RequiresPermissions("preservation:form:findPayList")
    @RequestMapping("findSettlementList")
    public String findSettlementList(Model model){
        SysUser user = SysUserUtils.getUser();//        if(user.getSysCompany()!=null&&user.getSysCompany().getCompanyType()!=null){
        String url = FINDSETTLEMENTPAYLIST+"sup_admin";
        return redirectTo(url);

    }



}
