package com.bcxin.models.platform;

import com.bcxin.common.constants.GlobalConfig;

/**
 * 系统对接URL常量
 * Created by playboy on 2017/6/27.
 */
public class ConstantURL {

    private static ConstantURL constantURL;
    private ConstantURL (){}
    public static synchronized ConstantURL getInstance() {
        if (constantURL == null) {
            constantURL = new ConstantURL();
        }
        return constantURL;
    }

    /**
     * 产品分享链接
     * http://120.76.218.179:9137/insurance/product/productInfo/1001013?recommendCode=Zx2JEmGp4VeGmBluNmInOG%2FQVj%2BlbhFF
     *
     */
    public static final String PRODUCTSHAREURL= GlobalConfig.getConfig("BLB")+"insurance/product/productInfo/";

    public static String getShareUrl() {
        return PRODUCTSHAREURL;
    }

    /**
     * 产品增加链接
     * 用列:http://120.76.218.179:9137/api/mypro/win/dml?pro_category_id=814363399244214272&pro_primary_id=871025414051590144&detail=detail
     */
    public static final String PRODUCTADD=GlobalConfig.getConfig("BLB")+"api/mypro/win/dml";

    public String getProductAdd() {
        return PRODUCTADD;
    }

    public static final String ORDERFORMLISTINS = GlobalConfig.getConfig("BLB")+"api/myPolicy/findOrderList/";


    public static final String APPLYLIST = GlobalConfig.getConfig("BLB")+"api/myApply/findApplyList/";


    public static final String FINDPAYLIST= GlobalConfig.getConfig("BLB")+"api/myApply/findPayList/";
    public static final String FINDSETTLEMENTPAYLIST= GlobalConfig.getConfig("BLB")+"api/myApply/findSettlementPayList/";

    public static final String FINDREPORTLIST= GlobalConfig.getConfig("BLB")+"api/myClaim/findReportList/";
}
