package com.bcxin.models.product.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.product.entity.ProductIns;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;

import java.util.List;

/**
 * Created by playboy on 2017/6/1.
 */
@MyBatisDao
public interface ProductInsDao extends BasDao<ProductIns> {
    /**
     * 查询单个实体
     * @param productIns
     * @return
     */
    ProductIns get(ProductIns productIns);


    /**
     * 查询list集合
     * @param productIns
     * @return
     */
    List<ProductIns> findList(ProductIns productIns);

    /**
     * 分页查询List Page
     */
    List<ProductIns> findList(Page<ProductIns> page, ProductIns productIns);
}
