package com.bcxin.models.product.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.product.entity.ProductTrain;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;

import java.util.List;

/**
 * 风评产品
 * Created by playboy on 2017/6/1.
 */
@MyBatisDao
public interface ProductTrainDao extends BasDao<ProductTrain> {
    /**
     * 查询单个实体
     * @param productTrain
     * @return
     */
    ProductTrain get(ProductTrain productTrain);


    /**
     * 查询list集合
     * @param productTrain
     * @return
     */
    List<ProductTrain> findList(ProductTrain productTrain);

    /**
     * 分页查询List Page
     */
    List<ProductTrain> findList(Page<ProductTrain> page, ProductTrain productTrain);
}
