package com.bcxin.models.product.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.product.entity.ProductType;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;

import java.util.List;

/**
 * Created by playboy on 2017/5/27.
 */
@MyBatisDao
public interface ProductTypeDao extends BasDao<ProductType> {

    /**
     * 查询单个实体
     * @param productType
     * @return
     */
    ProductType get(ProductType productType);


    /**
     * 查询list集合
     * @param productType
     * @return
     */
    List<ProductType> findList(ProductType productType);

    /**
     * 分页查询List Page
     */
    List<ProductType> findList(Page<ProductType> page, ProductType productType);
}
