package com.bcxin.models.product.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.product.entity.ProductIns;
import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;

/**
 * 保险产品
 * Created by playboy on 2017/6/1.
 */
public interface ProductInsService extends BaseService<ProductIns>{
    /**
     * 查询单个实体
     * @param productIns
     * @return
     */
    ProductIns get(ProductIns productIns);


    /**
     * 查询list集合
     * @param productIns
     * @return
     */
    List<ProductIns> findList(ProductIns productIns);

    /**
     * 分页查询List Page
     */
    Page<ProductIns> findPage(Page<ProductIns> page, ProductIns productIns);

    /**
     * 数据验证
     * @param productIns
     * @return
     */
    String checkData(ProductIns productIns);

}
