package com.bcxin.models.product.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.product.entity.ProductTrain;
import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;

/**
 * 培训产品
 * Created by playboy on 2017/6/1.
 */
public interface  ProductTrainService extends BaseService<ProductTrain> {

    /**
     * 查询单个实体
     * @param productTrain
     * @return
     */
    ProductTrain get(ProductTrain productTrain);


    /**
     * 查询list集合
     * @param productTrain
     * @return
     */
    List<ProductTrain> findList(ProductTrain productTrain);

    /**
     * 分页查询List Page
     */
    Page<ProductTrain> findPage(Page<ProductTrain> page, ProductTrain productTrain);

    /**
     * 数据验证
     * @param productTrain
     * @return
     */
    String checkData(ProductTrain productTrain);
}
