package com.bcxin.models.product.service;

import com.bcxin.core.base.service.BaseService;
import com.bcxin.models.product.entity.ProductType;
import com.bcxin.mybatisplus.plugins.Page;

import java.util.List;

/**
 *
 * 产品类型
 * Created by playboy on 2017/5/27.
 */
public interface ProductTypeService extends BaseService<ProductType>{

    /**
     * 获取单个实体
     * @param productType
     * @return
     */
    ProductType get(ProductType productType);

    /**
     * 查询list集合
     */
    List<ProductType> findList(ProductType productType);

    /**
     * 分页查询List Page
     *
     */
    Page<ProductType> findPage(Page<ProductType> page,ProductType productType);

    /**
     * 数据验证
     * @param productType
     * @return
     */
    String checkData(ProductType productType);
}
