package com.bcxin.models.statements.dao;

import com.bcxin.core.base.dao.BasDao;
import com.bcxin.models.bill.dto.BillDto;
import com.bcxin.models.statements.dto.StatementsDto;
import com.bcxin.models.statements.entity.Statements;
import com.bcxin.mybatisplus.plugins.Page;
import com.bcxin.spring.annotation.MyBatisDao;

import java.util.List;

@MyBatisDao
public interface StatementsDao extends BasDao<Statements> {
    int deleteByPrimaryKey(Long id);

//    int insert(Statements record);

    int insertSelective(Statements record);

    Statements selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(Statements record);

    int updateByPrimaryKey(Statements record);

    List<StatementsDto> page(Page page, StatementsDto dto);

    List<StatementsDto> calc(StatementsDto dto);

    /**
     * 捞取需要结算的账单id
     * @param dto
     * @return
     */
    List<BillDto> getBillList(StatementsDto dto);

    /**
     * 这个方法修改了原生的updateSelective方法
     * @author wangjianjun
     * @date 2020/3/4
     */
    int updateByPrimaryKeySelectiveModify(Statements record);


}