<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>终止协议</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css"/>
</head>

<body class="gray-bg">
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="#" method="POST">
                        <input type="hidden" id="id" name="id" value="${agreementDto.id}">
<%--                        <div class="hr-line-dashed"></div>--%>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">终止原因：</label>
                            <div class="col-sm-4">
<%--                                <input id="stopAgreeReason" name="stopAgreeReason" >--%>
                                <textarea id="stopAgreeReason" name="stopAgreeReason" class="form-control" placeholder="请输入"></textarea>

                            </div>
                        </div>
                        <div class="form-group">
                            <span class="col-sm-8 text-danger">提交后，立即生效。</span>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <button class="btn btn-primary" type="button" onclick="layer_close()">取消</button>
                                <button class="btn btn-primary" type="button" onclick="agreementTerminate()">确定</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <script type="text/javascript">
        var urlHead = "${ctx}";
        var userID;

        $(document).ready(function () {
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
        });

        //form转json
        function getFormData($form) {
            var unindexed_array = $form.serializeArray();
            var indexed_array = {};

            $.map(unindexed_array, function (n, i) {
                indexed_array[n['name']] = n['value'];
            });
            return indexed_array;
        }


        /**
         * 关闭窗口的时候要刷新父窗口
         * @param $form
         * @returns {{}}
         */
        function mylayer_close(){
            window.parent.location.reload();
            layer_close();
        }


        /**
         * 终止协议
         */
        function agreementTerminate(){
            const saveData = getFormData($("#inputForm"));
            if(saveData.stopAgreeReason==''){
                layer.msg("终止原因不能为空");
                return;
            };
            // alert(JSON.stringify(saveData));
            console.log(JSON.stringify(saveData));
            $.ajax({
                url: urlHead + "/agreementForm/terminate",
                type: "post",
                dataType: "json",
                async: false,
                headers: {'Content-Type': 'application/json;charset=utf8'},
                data: JSON.stringify(saveData),
                success: function (result) {
                    layer.msg(result.message);
                    if (result.success==true) {
                        mylayer_close();
                    }
                }
            });

        }

    </script>
</bcxinFooter>
</body>
</html>
