<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>查看订单详情</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css"/>
    <script src="${ctxsta}/common/bootstrap-table-master/extensions/editable/bootstrap-table-editable.js"></script>
    <link href="${ctxsta}/common/bootstrap-table-master/extensions/editable/css/bootstrap-editable.css"
          rel="stylesheet"/>
    <script src="${ctxsta}/common/bootstrap-table-master/extensions/editable/js/bootstrap-editable.js"></script>
    <script src="${ctxsta}/common/bootstrap-table-master/extensions/editable/js/bootstrap-editable.min.js"></script>
</head>

<body class="gray-bg">
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="#" method="POST">
                        <input type="hidden" id="id" name="id" value="${agreementDto.id}">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">协议名称：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="name" name="name" disabled="true"
                                       value="${agreementDto.name}">
                            </div>
                            <label class="col-sm-2 control-label">协议状态：</label>
                            <div class="col-sm-4">
                                <select class="sel-md input-group form-control" id="status" name="status"
                                        disabled="true">
                                    <option value="0">未生效</option>
                                    <option value="1">执行中</option>
                                    <option value="2">已终止</option>
                                    <option value="3">已完结</option>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">协议类型：</label>
                            <div class="col-sm-4">
                                <select name="type" class="sel-md input-group form-control" id="type" disabled="true">
                                    <option value="1">供应商协议</option>
                                    <option value="2">分销商协议</option>
                                    <option value="4">资源方协议</option>
                                </select>
                            </div>
                            <label class="col-sm-2 control-label">合作机构：</label>
                            <div class="col-sm-4">
                                <select class="sel-md input-group form-control" id="companyId" name="companyId"
                                        disabled="true">
                                </select>
                            </div>

                        </div>
                        <div class="form-group" id="data_5">
                            <label class="col-sm-2 control-label">签订日期：</label>
                            <div class="col-sm-4">
                                <div class="input-daterange input-group">
                                    <input id="odate" name="odate" type="text" placeholder="日期"
                                           value="${agreementDto.odate}" data-date-format="yyyy-mm-dd" disabled="true"
                                           class="form-control"/>
                                </div>
                            </div>
                            <label class="col-sm-2 control-label">有效日期：</label>
                            <div class="col-sm-4">
                                <div class="input-daterange input-group" id="datepicker">
                                    <input id="startDate" name="startDate" type="text"
                                           value="${agreementDto.startDate}"
                                           placeholder="有效日期(起)" data-date-format="yyyy-mm-dd" disabled="true"
                                           class="form-control"/>
                                    <span class="input-group-addon">到</span>
                                    <input id="endDate" name="endDate" type="text" value="${agreementDto.endDate}"
                                           disabled="true"
                                           placeholder="有效日期(止)" data-date-format="yyyy-mm-dd"
                                           class="form-control"/>
                                </div>
                            </div>
                        </div>
<%--                        <div class="form-group">--%>
<%--                            <label class="col-sm-2 control-label">结算周期：</label>--%>
<%--                            <div class="col-sm-2">--%>
<%--                                <select id="feeCycle" name="feeCycle" class="sel-md input-group form-control"--%>
<%--                                        disabled="true">--%>
<%--                                    <option value="1">每月结算</option>--%>
<%--                                    <option value="2">每季结算</option>--%>
<%--                                </select>--%>
<%--                            </div>--%>
<%--                            <span class="text-danger">每月结算：每月1号生成上月结算单；每季结算：每季度首月1号生成上季度结算单。</span>--%>
<%--                        </div>--%>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">备注：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="remarks" name="remarks" disabled="true"
                                       value="${agreementDto.remarks}">
                            </div>
                            <label class="col-sm-2 control-label">协议文件:</label>
                            <div class="col-sm-4">
                                <%--                                <input id="file-picture" type="file" class="file-loading" name="file" disabled="true" >--%>
                                <input id="picture" type="text" name="picture" class="hide"
                                       value="${agreementDto.picture}" disabled="true"/>
                                <c:if test="${not empty agreementDto.picture}">
                                    <button id="btn_download" onclick="download()" class="btn btn-default">
                                        下载&nbsp${agreementDto.fileName}
                                    </button>
                                </c:if>
                            </div>
                        </div>
                        <div class="ibox-title">
                            <h5>销售产品</h5>&nbsp;<span class="text-danger">请到机构管理页面进行产品授权。</span>
                        </div>
                        <div class="table-responsive">
                            <%--                            <button id="btn_add" type="button" class="btn btn-default" onclick="addRow()">--%>
                            <%--                                <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>新增--%>
                            <%--                            </button>--%>
                            <%--                            <button id="btn_remove" class="btn btn-danger">--%>
                            <%--                                <i class="glyphicon glyphicon-remove"></i> 删除--%>
                            <%--                            </button>--%>
                            <table id="table" class="text-nowrap"></table>
                        </div>
                        <%--                        <table id="table"--%>
                        <%--                               data-toggle="table"--%>
                        <%--                               data-pagination="true"--%>
                        <%--                               data-url="${ctx}/agreementFee/listData?agreementId=${agreementDto.id}"--%>
                        <%--                               data-query-params="queryParams"--%>
                        <%--                               data-side-pagination="server"--%>
                        <%--                               data-height="350">--%>
                        <%--                            <thead>--%>
                        <%--                            <tr>--%>
                        <%--                                <th data-checkbox="true" data-field="ID">选择</th>--%>
                        <%--                                <th data-halign="center" data-visible="false" data-field="productId">id</th>--%>
                        <%--                                <th data-halign="center" data-align="center" data-sortable="true" data-sort-name="productName" data-field="productName">产品名称</th>--%>
                        <%--                                <th data-halign="center" data-align="center" data-editable="true" data-sortable="true" data-sort-name="taxRate" data-events="actionEvents" data-field="taxRate">税率(%)</th>--%>
                        <%--                                <th data-halign="center" data-align="center"  data-sortable="true" data-sort-name="taxScope"  data-field="taxScope" data-formatter = "taxScopeFormat">价税范围(元)</th>--%>
                        <%--                                <th data-halign="center" data-align="center" data-editable="true" data-sortable="true" data-sort-name="fixedCost" data- data-field="fixedCost">固定成本(元)</th>--%>
                        <%--                                <th data-halign="center" data-align="center"  data-sortable="true" data-sort-name="calcMethod"  data-field="calcMethod" data-formatter = "calcMethodFormat">计费方式</th>--%>
                        <%--                                <th data-halign="center" data-align="center" data-editable="true" data-sortable="true" data-sort-name="fixedAmount" data-field="fixedAmount">固定金额(元)</th>--%>
                        <%--                                <th data-halign="center" data-align="center" data-editable="true" data-sortable="true" data-sort-name="feeRate" data-field="feeRate">费用比例(%)</th>--%>
                        <%--                            </tr>--%>
                        <%--                            </thead>--%>
                        <%--                        </table>--%>
                        <div class="hr-line-dashed"></div>


                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-4 add-submit">
                                <%--                                <button class="btn btn-primary" type="button" onclick="agreementSave()">保存</button>--%>
                                <button class="btn btn-primary" type="button" onclick="mylayer_close()">关闭</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <link rel="stylesheet" href="${ctxsta}/common/bootstrap-fileinput-master/css/fileinput.css" type="text/css"/>
    <script src="${ctxsta}/common/bootstrap-fileinput-master/js/fileinput.js"></script>
    <script src="${ctxsta}/common/bootstrap-fileinput-master/js/fileinput_locale_zh.js"></script>
    <script type="text/javascript">
        var $table = $('#table');
        var urlHead = "${ctx}";
        var userID;
        var idAndTypeResult = [];
        initProducts();

        /**
         * 获取所有商品列表
         */
        function initProducts() {
            var companyId = $("#companyId option:selected").val();
            // var type = $("#type option:selected").val();
            idAndTypeResult = [];
            $.ajax({
                url: urlHead + '/productRelation/getProductIdAndName?companyId=' + companyId,
                async: false,
                type: "get",
                data: {},
                success: function (data, status) {
                    if (status == "success") {
                        var temp = data.data;
                        $.each(temp, function (key, value) {
                            idAndTypeResult.push({value: value.idAndType, text: value.name});
                        });
                    }
                }
            });
        }

        /**
         * 新增一行
         */
        function addRow(idAndType, id, type) {
            var count = $('#table').bootstrapTable('getData').length;
            // newFlag == 1的数据为新规的数据
            //这里要给所有column赋初值
            $('#table').bootstrapTable('insertRow', {
                index: count,
                row: {
                    line: ++count,
                    feeRate: 0,
                    fixedAmount: 0,
                    calcMethod: 1,
                    fixedCost: 0,
                    taxScopeStart: 0,
                    taxScopeEnd: 0,
                    taxRate: 0,
                    idAndType: "",
                    productType: "",
                    id: ""
                }
            });
        }

        $(document).ready(function () {
            //初始化图片上传组件
            initFileInputAllFile('file-picture', 'picture', '${agreementDto.picture}', '${ctx}');
            Date.prototype.Format = function (fmt) { //author: meizz
                var o = {
                    "M+": this.getMonth() + 1, //月份
                    "d+": this.getDate(), //日
                    "H+": this.getHours(), //小时
                    "m+": this.getMinutes(), //分
                    "s+": this.getSeconds(), //秒
                    "q+": Math.floor((this.getMonth() + 3) / 3), //季度
                    "S": this.getMilliseconds() //毫秒
                };
                if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
                for (var k in o)
                    if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
                return fmt;
            }
            initValue();
            initCompanyId();

        });

        function initValue() {
            //初始化值
            $("#status option[value='${agreementDto.status}'").attr("selected", true);
            $("#type option[value='${agreementDto.type}'").attr("selected", true);
            $("#companyId option[value='${agreementDto.companyId}'").attr("selected", true);

            //格式化时间
            var odate = '${agreementDto.odate}';
            var startDate = '${agreementDto.startDate}';
            var endDate = '${agreementDto.endDate}';

            var js_odate = new Date(odate);
            var js_startDate = new Date(startDate);
            var js_endDate = new Date(endDate);

            $('#odate').val(js_odate.Format("yyyy-MM-dd"));
            $('#startDate').val(js_startDate.Format("yyyy-MM-dd"));
            $('#endDate').val(js_endDate.Format("yyyy-MM-dd"));
        }

        //去除分页
        function queryParams(params) {
            return {
                size: params.limit,  //页面大小
                index: params.offset, //页码
                sortName: this.sortName,
                sortOrder: this.sortOrder
            };
        }

        //价税范围
        // function taxScopeFormatter(v) {
        //     if (v == '0') {
        //         return '不限制';
        //     } else if (v == '1') {
        //         return '0-10000'
        //     } else if (v == '2') {
        //         return '10000以上'
        //     }
        // }

        //计费方式
        function calcMethodFormatter(value, row, index) {
            if (value == '1') {
                value = "费用比例";
                // return "费用比例";
            }
            if (value == '2') {
                value = "固定金额";
                // return "固定金额";
            }
            return value;
            // return "<a href=\"#\" name=\"calcMethod\" data-type=\"text\" data-pk=\""+row.id+"\" data-title=\"计算方式\">" + value + "</a>";
        }

        function contactsListName(v) {
            if (isNotNull(v)) {
                if (v[0].name == null) {
                    var riskID = "${orderForm.riskActivityID}";
                    if (riskID != null) {
                        $("#affiliation").show();
                        $("#queryBtn").show();
                    }
                } else {
                    $("#affiliation").hide();
                    $("#queryBtn").hide();
                }
                return v[0].name;
            }
        }

        function contactsListContactsWay(v) {
            if (isNotNull(v)) {
                return v[0].contactsWay;
            }
        }

        function contactsListEmail(v) {
            if (isNotNull(v)) {
                return v[0].email;
            }
        }

        /**
         * 合作机构下拉列表初始化
         */
        function initCompanyId() {
            var type = $("#type option:selected").val();
            //先清空
            // $("#companyId").empty();
            $.ajax({
                type: 'POST',
                url: "${ctx}/syscompany/getSysCompanyJsonAll?type=" + type,
                dataType: 'json',
                success: function (data) {
                    var obj = document.getElementById('companyId');
                    for (var o in data) {
                        var _name = data[o].companyName;
                        if(data[o].subsidiaryName != ''&&data[o].subsidiaryName != undefined){
                            _name = data[o].subsidiaryName;
                        }
                        obj.options.add(new Option(_name, data[o].id));
                    }
                    var companyId = '${agreementDto.companyId}';
                    if (isNotNull(companyId)) {
                        $("#companyId option[value=" + companyId + "]").attr("selected", true).trigger("change");
                    }
                    // initProducts();
                },
                error: function (xhr) {
                    layer.msg('供应商列表获取失败');
                }
            });
        }

        //协议类型->合作机构下拉列表，监听事件
        $("#type").change(function () {
            initCompanyId();
        })

        //合作机构->自动生成产品
        $("#companyId").change(function () {
            // initProducts();
            $table.bootstrapTable('refresh');

        })
        var $btn_remove = $('#btn_remove');
        /**
         * 删除选中行
         * @param row
         */
        $(function () {
            $btn_remove.click(function () {
                //获取id集合
                var ids = $.map($table.bootstrapTable('getSelections'), function (row) {
                    return row.line
                });
                // alert(ids);
                // var ids_value=ids.toString();
                //删除页面
                $table.bootstrapTable('remove', {
                    field: 'line',
                    values: ids
                });
                //把后端数据删了 改为不处理后端数据，而是在保存的时候处理
                // $.ajax({
                //     url : urlHead+"/agreementFee/delete?ids="+ids_value,
                //     type : "delete",
                //     // data : {
                //     //     "ids" : ids_value  //传输到后台的是 json对象 后台接收后需要转换成list   然后循环获取id删除
                //     // },
                //     success : function(status) {
                //         // $table.bootstrapTable('refresh');
                //         alert("删除成功");
                //     }
                // });

            })
        })

        /**
         *删除所有数据
         * /


         /**
         * 保存协议
         */
        function agreementSave() {
            var agreefeeData = $table.bootstrapTable('getData');
            const saveData = getFormData($("#inputForm"));
            saveData['agreementFeeDto'] = agreefeeData;
            //alert(JSON.stringify(saveData));
            console.log(JSON.stringify(saveData));
            $.ajax({
                url: urlHead + "/agreementFee/save",
                type: "post",
                dataType: "json",
                async: false,
                headers: {'Content-Type': 'application/json;charset=utf8'},
                data: JSON.stringify(saveData),
                success: function (result) {
                    if (result.success) {
                        layer.msg("保存成功了");
                        $table.bootstrapTable('refresh');
                    } else {
                        layer.msg("保存失败!" + result.message);

                    }
                }
            });

        }

        //form转json
        function getFormData($form) {
            var unindexed_array = $form.serializeArray();
            var indexed_array = {};

            $.map(unindexed_array, function (n, i) {
                indexed_array[n['name']] = n['value'];
            });
            return indexed_array;
        }

        var tableUrl = urlHead + "/agreementFee/listData?agreementId=${agreementDto.id}";
        $table.bootstrapTable({
            url: tableUrl,         //请求后台的URL（*）
            // toolbar: '#toolbar',                //工具按钮用哪个容器
            method: 'get',                      //请求方式（*）
            striped: true,                      //是否显示行间隔色
            cache: false,                       //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）
            pagination: true,                   //是否显示分页（*）
            sortable: false,                     //是否启用排序
            sortOrder: "asc",                   //排序方式
            queryParams: queryParams,//传递参数（*）
            sidePagination: "server",           //分页方式：client客户端分页，server服务端分页（*）
            pageNumber: 1,                       //初始化加载第一页，默认第一页
            pageSize: 10,                       //每页的记录行数（*）
            pageList: [5, 10, 20, 30, 50],        //可供选择的每页的行数（*）
            showColumns: false,                  //是否显示所有的列
            showRefresh: false,                  //是否显示刷新按钮
            minimumCountColumns: 2,             //最少允许的列数
            clickToSelect: false,                //是否启用点击选中行
            height: 350,                        //行高，如果没有设置height属性，表格自动根据记录条数觉得表格高度
            uniqueId: "id",                     //每一行的唯一标识，一般为主键列
            showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
            cardView: false,                    //是否显示详细视图
            detailView: false,                   //是否显示父子表
            editable: true,//开启编辑模式
            // data: origin_datas,
            columns: [
                // {checkbox: true},
                {field: 'line', title: 'line', visible: false},
                {field: 'id', title: 'id', visible: false, align: "center"},
                {
                    field: 'productType', title: '产品大类', align: "center", editable: {
                        disabled: true,
                        // mode: 'inline',
                        type: 'select',
                        source: [{value: "6", text: "保险产品"}, {value: "7", text: "风评产品"}, {value: "7", text: "培训产品"}]
                    }
                },
                {
                    field: 'idAndType', title: '产品名称', visible: true, align: "center", editable: {
                        disabled: true,
                        type: 'select',
                        // title: '选择产品',
                        source: idAndTypeResult
                    }
                },
                // {field: 'productName', title: '产品名称', align: "center",editable:true},
                {field: 'taxRate', title: '税率(%)', align: "center", editable: false},
                // {
                //     field: 'taxScope', title: '价税范围(元)', align: "center", editable: false, editable: {
                //         type: 'select',
                //         source: [{value: "0", text: "不限制"}, {value: "1", text: "0-10000"}, {
                //             value: "2",
                //             text: "10000以上"
                //         }]
                //     }
                // },
                {field: 'taxScopeStart', title: '价税范围起(元)', align: "center", editable: false},
                {field: 'taxScopeEnd', title: '价税范围止(元)', align: "center", editable: false},

                {field: 'fixedCost', title: '固定成本', align: "center", editable: false},
                {
                    field: 'calcMethod', title: '计费方式', align: "center", editable: false, editable: {
                        disabled: true,
                        type: 'select',
                        source: [{value: "1", text: "费用比例"}, {value: "2", text: "固定金额"}]
                    }
                },
                {field: 'fixedAmount', title: '固定金额(元)', align: "center", editable: false},
                {field: 'feeRate', title: '费用比例(%)', align: "center", editable: false}

            ],
            // onEditableSave: function (field, row, oldValue, $el) {
            //     $table = $('#table').bootstrapTable({});
            //     $table.bootstrapTable('updateRow', {index: row.rowId, row: row});
            // },

        });

        $btn_remove.click(function (event) {
            event.preventDefault();
        });

        /**
         * 关闭窗口的时候要刷新父窗口
         * @param $form
         * @returns {{}}
         */
        function mylayer_close() {
            layer_close();
            window.parent.location.reload();

        }

        /**
         * 下载协议
         */
        function download() {
            window.open(urlHead + "/agreementForm/download/" + $("#picture").val());
        }

    </script>
</bcxinFooter>
</body>
</html>
