<%@ page language="java" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>账单对账</title>
    <link rel="stylesheet" href="${ctxsta}/common/icheck/flat/green.css"/>
</head>

<body class="gray-bg">
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <%--                <div class="ibox-title">--%>
                <%--                    <h5>账单对账</h5>--%>
                <%--                </div>--%>
                <div class="ibox-content">
                    <form id="inputForm" class="form-horizontal" action="#" method="POST">
                        <input type="hidden" id="id" name="id" value="${billForm.id}" readonly>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">价税金额：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="fcy" name="fcy" readonly
                                       value="${billForm.fcy}">
                            </div>
                            <label class="col-sm-2 control-label">税率： </label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="taxRate" name="taxRate" readonly
                                       value="${billForm.taxRate}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">价格(元)：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="price" name="price" readonly
                                       value="${billForm.price}">
                            </div>
                            <label class="col-sm-2 control-label">固定成本(元)：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="fixedCost" name="fixedCost" readonly
                                       value="${billForm.fixedCost}">
                                <input type="hidden" id="fixedAmount" name="fixedAmount" readonly
                                       value="${billForm.fixedAmount}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">变动成本(元)：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="variableCost" name="variableCost"
                                       <c:if test="${modify ne 'modify'}">readonly</c:if>
                                       placeholder="请输入" onchange="billChange(this.value)"
                                       value="${billForm.variableCost}">
                            </div>
                            <label class="col-sm-2 control-label">净价格(元)：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="netPrice" name="netPrice" placeholder="请输入" readonly
                                       value="${billForm.netPrice}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">变动成本备注：</label>
                            <div class="col-sm-4">
                                <%--                                <input type="text" class="form-control" id="variableRemarks" name="variableRemarks"--%>
                                <%--                                       value="${billForm.variableRemarks}">--%>
                                <textarea class="form-control" id="variableRemarks" name="variableRemarks"
                                          <c:if test="${modify ne 'modify'}">readonly</c:if>
                                          placeholder="请输入备注">${billForm.variableRemarks}</textarea>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">计费方式：</label>
                            <div class="col-sm-4">
                                <input type="hidden" class="form-control" id="calcMethod" name="calcMethod" readonly value="${billForm.calcMethod}">
                                <select class="sel-md input-group form-control" id="calcMethodView" name="calcMethodView" readonly>
                                <c:if test="${billForm.calcMethod eq '1'}">
                                <option value="1">费用比例</option>
                                </c:if>
                                <c:if test="${billForm.calcMethod eq '2'}">
                                    <option value="2">固定金额</option>
                                </c:if>
                                </select>
                            </div>
                            <c:if test="${billForm.calcMethod eq '1'}">
                                <label class="col-sm-2 control-label">费用比例：</label>
                            </c:if>
                            <c:if test="${billForm.calcMethod eq '2'}">
                                <label class="col-sm-2 control-label">固定金额：</label>
                            </c:if>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="feeRate" name="feeRate" readonly
                                       value="${billForm.feeRate}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">费用(元)：</label>
                            <div class="col-sm-4">
                                <input type="text" class="form-control" id="cost" name="cost" readonly
                                       value="${billForm.cost}">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label"></label>
                            <%--                            <label class="col-sm-4 control-label">账单对账后，无法修改，请详细确认后再进行提交。</label>--%>
                            <span class="text-danger col-sm-6">账单对账后，无法修改，请详细确认后再进行提交。</span>


                        </div>

                        <div class="hr-line-dashed"></div>
                        <div class="form-group">
                            <div class="col-sm-4 col-sm-offset-8 add-submit">
                                <button class="btn btn-default" type="button" onclick="layer_close()">取消</button>
                                <c:if test="${modify eq 'modify'}">
                                    <button class="btn btn-primary" type="button" onclick="billSave()">确定</button>
                                </c:if>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script src="${ctxsta}/common/icheck/icheck.min.js"></script>
    <script type="text/javascript">
        var userID;
        var urlHead = "${ctx}";
        $(document).ready(function () {

        });

        function queryParams(params) {
            var limit = params.limit;
            if (limit > 5) {
                limit = 5;
            }
            return {
                size: limit,  //页面大小
                index: params.offset, //页码
                sortName: this.sortName,
                sortOrder: this.sortOrder
            };
        }

        function billChange(variableCost) {
            var price = $('#fcy').val() / (1 + $('#taxRate').val() / 100);
            price = toDecimal(price);
            $('#price').val(price);
            var netPrice = price - $('#fixedCost').val() - variableCost;
            netPrice = toDecimal(netPrice);
            $('#netPrice').val(netPrice);
            var cost = 0;
            if ($('#calcMethod').val() == 1) {//1是费用比例
                // $('#cost').val(cost);
                cost = netPrice * $('#feeRate').val() / 100;
            } else {
                cost = $('#feeRate').val();
            }
            cost = toDecimal(cost);
            $('#cost').val(cost);
            // var variableCostToDecimal=toDecimal2(variableCost);
            // $('#variableCost').val(variableCostToDecimal);
        }

        function contactsListName(v) {
            if (isNotNull(v)) {
                if (v[0].name == null) {
                    var riskID = "${orderForm.riskActivityID}";
                    if (riskID != null) {
                        $("#affiliation").show();
                        $("#queryBtn").show();
                    }
                } else {
                    $("#affiliation").hide();
                    $("#queryBtn").hide();
                }
                return v[0].name;
            }
        }

        /* function member_add() {


         }*/
        function contactsListContactsWay(v) {
            if (isNotNull(v)) {
                return v[0].contactsWay;
            }
        }

        function contactsListEmail(v) {
            if (isNotNull(v)) {
                return v[0].email;
            }
        }

        //保存对账信息
        function billSave() {
            const saveData = getFormData($("#inputForm"));
            // if(saveData.variableCost==null || saveData.variableCost==""){
            //     if(saveData.variableRemarks==null || saveData.variableRemarks==""){
            //         layer.msg('请输入变动成本备注');
            //         return;
            //     }
            // }
            //alert(JSON.stringify(saveData));
            console.log(JSON.stringify(saveData));
            $.ajax({
                url: urlHead + "/billForm/save",
                type: "post",
                dataType: "json",
                async: false,
                headers: {'Content-Type': 'application/json;charset=utf8'},
                data: JSON.stringify(saveData),
                success: function (result) {
                    if (result.success) {
                        layer.msg("保存成功了");
                        // 这里应该要刷新父页面
                        window.parent.location.reload();//这句话好像没生效啊？
                        layer_close();

                    } else {
                        layer.msg("保存失败"+result.message);
                    }
                }
            });

        }

        //form转json
        function getFormData($form) {
            var unindexed_array = $form.serializeArray();
            var indexed_array = {};

            $.map(unindexed_array, function (n, i) {
                indexed_array[n['name']] = n['value'];
            });

            return indexed_array;
        }

    </script>
</bcxinFooter>
</body>
</html>
