<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>供应商账单列表</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="float-e-margins">
                <div class="ibox-content search-query">
                    <form action="${ctx}/fee/getSupplierListData" method="post" id="searchForm" onsubmit="return false">
                        <div class="col-sm-6">
                            <div class="form-group" id="data_5">
                                <label class="control-label">购买日期</label>
                                <div class="input-daterange input-group">
                                    <input type="text" class="form-control"  id="beginCreateTime" name="sDate"  placeholder="请选择日期..."/>
                                    <span class="input-group-addon">到</span>
                                    <input type="text" class="form-control"  id="endCreateTime" name="eDate"  placeholder="请选择日期..."/>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <label class="control-label">关键字</label>
                                <div class="input-group-btn">
                                    <input type="text" class="form-control" name="likeValue" placeholder="供应商名称">
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <div class="input-group">
                                   <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="doRefresh()">搜索</button>
                                        <button type="button" class="btn btn-primary" onclick="resetTable()">重置</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
                <div class="ibox-content">
                    <div class="row row-lg">
                        <div class="col-sm-12">
                            <div class="example-wrap">
                                <div class="example">
                                    <label>采购数量：${empty map.total?0:map.total} &nbsp;| 总佣金：${empty map.totalBrokerage?0:map.totalBrokerage}元   </label>
                                    <div id="toolbar" class="btn-group m-t-sm">
                                        <button type="button" class="btn btn-default" title="刷新数据" onclick="refreshdiv()">
                                            <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                        </button>
                                    </div>
                                    <table id="table"
                                           data-toggle="table"
                                           <%--data-search="true"--%>
                                           data-show-toggle="true"
                                           data-show-export="true"
                                           data-show-columns="true"
                                           data-striped="true"
                                           data-pagination="true"
                                           data-sort-name="cid"
                                           data-url="${ctx}/fee/getSupplierListData"
                                           data-query-params="queryParams"
                                           data-side-pagination="server"
                                           data-page-list="[10, 25, 50, 100, ALL]"
                                           data-field="records"
                                           data-sort-order="desc"
                                           data-cache="false"
                                           data-toolbar="#toolbar">
                                        <thead>
                                        <tr>
                                           <%-- <th data-halign="center" data-field="cid"  data-sortable="true" data-sortable="true" data-align="center">id</th>--%>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="subsidiaryName">供应商</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="cnt">采购数量</th>
                                            <th data-halign="center" data-align="center" data-field="fcy" data-formatter="toDecimal2">外报总价</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="settlement" data-formatter="toDecimal2">结算总价</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="brokerage" data-formatter="toDecimal2">佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="true"  data-formatter="setStatusClass">操作</th>
                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
            </div>
        </div>
    </div>
</div>
<div id = "view" class="hidden">
    <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="member_show('查看明细','${ctx}/fee/getDetatilList/viewId','','','920',null)" title="查看明细">
        <i class="glyphicon glyphicon-zoom-in"></i>
    </a>
</div>
<bcxinFooter>
    <script type="text/javascript">

        function sumbit() {
            $("#table").bootstrapTable('refresh', {
                url: $("#searchForm").attr("action"),
                query: $("#searchForm").serializeObject()
            });
        }
        function  setStatusClass(value, row, index){
            var v =$("#view").html().replace("viewId",row.cid);
            return v;
        }
    </script>
</bcxinFooter>
</body>
</html>
