<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>分销商账单</title>
</head>

<body>
<div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="float-e-margins">
                <div class="ibox-title">
                    <h5>搜索查询</h5>
                    <div class="ibox-tools">
                        <a class="collapse-link">
                            <i class="fa fa-chevron-up"></i>
                        </a>
                        <a class="close-link">
                            <i class="fa fa-times"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content search-query">
                    <form action="${ctx}/commission/report/findFeeListDetatilData?oid=${company.id}&productType=${productType}" method="post" id="searchForm">

                        <div class="col-sm-6">
                            <div class="form-group" id="data_5">
                                <div class="input-daterange input-group">
                                    <input type="text" class="form-control"  id="beginCreateTime" name="startDate"  placeholder="请选择日期..."/>
                                    <span class="input-group-addon">到</span>
                                    <input type="text" class="form-control"  id="endCreateTime" name="endDate"  placeholder="请选择日期..."/>
                                </div>
                            </div>
                        </div>

                        <div class="col-sm-3">
                            <div class="form-group">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="sumbit()">搜索</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>${ company.companyName} 下的订单信息</h5>
                    <div class="ibox-tools">
                        <a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                        <a class="close-link"><i class="fa fa-times"></i></a>
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="row row-lg">
                        <div class="col-sm-12">
                            <div class="example-wrap">
                                <div class="example">
                                    <table id="table"
                                           <%--data-show-refresh="true"--%>
                                           data-search="true"
                                           data-toggle="table"
                                           data-show-toggle="true"
                                           data-show-export="true"
                                           data-show-columns="true"
                                           data-striped="true"
                                           data-pagination="true"
                                           data-sort-name="insOrderForm.createTime"
                                           data-url="${ctx}/commission/report/findFeeListDetatilData?oid=${ company.id}&productType=${productType}"
                                           data-query-params="queryParams"
                                           data-side-pagination="server"
                                           data-field="records"
                                           data-sort-order="desc"
                                           data-cache="false"
                                           data-toolbar="#toolbar">
                                        <thead>
                                        <tr>
                                            <%--<th   data-field="oid"  data-halign="center" data-align="center" data-field="oid"  >选择</th>--%>
                                            <%--<th data-checkbox="true">选择</th>--%>
                                            <th data-halign="center" data-align="center" <%--data-sortable="true"--%> data-field="orderDate">日期</th>
                                            <c:choose>
                                                <c:when test="${productType eq '13' or productType eq '14'}">
                                                    <th data-halign="center" data-align="center" <%--data-sortable="true"--%> data-field="tradeSerialNumber">订单号</th>
                                                    <th data-halign="center" data-align="center" data-sortable="true" data-field="inUserName">购买人</th>
                                                </c:when>
                                                <c:otherwise>
                                                    <th data-halign="center" data-align="center" <%--data-sortable="true"--%> data-field="externalReference">保单号</th>
                                                    <th data-halign="center" data-align="center" data-sortable="true" data-field="inUserName">投保人</th>
                                                </c:otherwise>
                                            </c:choose>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="productName">产品</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="num">数量</th>
                                            <%--<th data-halign="center" data-align="center" data-sortable="true" data-field="totalAmount">总佣金</th>--%>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="brokerage" >获得佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="withdrawalsStatus" >是否已提现</th>
                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<bcxinFooter>
    <script type="text/javascript">
        function sumbit() {
            $("#table").bootstrapTable('refresh', {
                url: $("#searchForm").attr("action"),
                query: $("#searchForm").serializeObject()
            });
        }
    </script>
</bcxinFooter>
</body>
</html>
