<%@ page language="java" import="java.util.*" contentType="text/html; charset=utf-8" %>
<%@ include file="/WEB-INF/include/taglib.jsp" %>
<!DOCTYPE HTML>
<html>
<head>
    <title>供应商账单列表</title>
</head>

<body>
<div class="animated fadeInRight">
    <div class="row">
        <div class="col-sm-12">
            <div class="float-e-margins">
                <div class="ibox-content search-query">
                    <form action="${ctx}/commission/report/feeListData" method="post" id="searchForm">
                        <div class="col-sm-6">
                            <div class="form-group" id="data_5">
                                <div class="input-daterange input-group">
                                    <input type="text" class="form-control"  id="beginCreateTime" name="startDate"  placeholder="请选择日期..."/>
                                    <span class="input-group-addon">到</span>
                                    <input type="text" class="form-control"  id="endCreateTime" name="endDate"  placeholder="请选择日期..."/>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-3">
                            <div class="form-group">
                                <div class="input-group">
                                    <span class="input-group-btn">
                                        <button type="button" class="btn btn-primary" onclick="sumbit()">搜索</button>
                                    </span>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-12">
                <div class="ibox-content">
                    <div class="row row-lg">
                        <div class="col-sm-12">
                            <div class="example-wrap">
                                <div class="example">
                                    <label>获得总佣金：${map.brokerageAmount}元   已结算佣金：${map.withdrawalsNum}元    未结算佣金：${map.unbrokerage}元  </label>

                                    <div id="toolbar" class="btn-group m-t-sm">
                                        <button type="button" class="btn btn-default" title="刷新数据" onclick="refreshdiv()">
                                            <i class="glyphicon glyphicon-refresh">刷新数据</i>
                                        </button>
                                    </div>

                                    <table id="table"
                                           <%--data-show-refresh="true"--%>
                                           data-toggle="table"
                                           data-search="true"
                                           data-show-toggle="true"
                                           data-show-export="true"
                                           data-show-columns="true"
                                           data-striped="true"
                                           data-pagination="true"
                                           data-sort-name="a.id"
                                           data-url="${ctx}/commission/report/feeListData"
                                           data-query-params="queryParams"
                                           data-side-pagination="server"
                                           data-page-list="[10, 25, 50, 100, ALL]"
                                           data-field="records"
                                           data-sort-order="desc"
                                           data-cache="false"
                                           data-toolbar="#toolbar">
                                        <thead>
                                        <tr>
                                            <th   data-field="oid"  data-halign="center" data-field="oid"  data-sortable="true" data-sortable="true" data-align="center">id</th>
                                            <%--<th data-checkbox="true">选择</th>--%>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="companyName">机构名称</th>
                                           <%-- <th data-halign="center" data-align="center" &lt;%&ndash;data-sortable="true"&ndash;%&gt; data-field="distributionLevel">机构等级</th>--%>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="productName">产品名称</th>
                                            <th data-halign="center" data-align="center" <%--data-sortable="true"--%> data-field="productType" data-visible="false">产品类型</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="num">销量</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="totalAmount">总佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="brokerage">可得佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="withdrawalsNum">已提现单数</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="noWithdrawalsNum" >未提现单数</th>
                                            <th data-halign="center" data-align="center" data-sortable="true" data-field="unBrokerage" >未提佣金</th>
                                            <th data-halign="center" data-align="center" data-sortable="true"    data-formatter="setStatusClass">操作</th>
                                        </tr>
                                        </thead>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
            </div>
        </div>
    </div>
</div>
<div id = "view" class="hidden">
    <a class="edit m-l-sm text-warning" href="javascript:void(0)" onclick="var id ='${company.id}'; member_show('查看明细','${ctx}/commission/report/findFeeListDetatil/viewId/productType','','','900',null)" title="查看明细">
        <i class="glyphicon glyphicon-zoom-in"></i>
    </a>
</div>

<bcxinFooter>
    <script type="text/javascript">

        function sumbit() {
            $("#table").bootstrapTable('refresh', {
                url: $("#searchForm").attr("action"),
                query: $("#searchForm").serializeObject()
            });
        }
        function  setStatusClass(value, row, index){
            var v =$("#view").html().replace("viewId",row.oid);
            v =v.replace("productType",row.productType);
            return v;
        }
    </script>
</bcxinFooter>
</body>
</html>
